#!/usr/bin/env bash

function main()
{
  # Install chunkwm and khd
  if ! brew list | grep chunkwm >/dev/null; then
    brew install crisidev/homebrew-chunkwm/chunkwm
    brew install koekeishiya/formulae/khd
  fi

  # Link configuration files
  if [ ! -e "${HOME}/.chunkwmrc" ]; then
    rm -f "${HOME}/.chunkwmrc"
    rm -f "${HOME}/.khdrc"
    ln -s ${DOTFILES}/wm/khdrc ${HOME}/.khdrc
    ln -s ${DOTFILES}/wm/chunkwmrc ${HOME}/.chunkwmrc
  fi

  # Start services
  if ! brew services list | grep chunkwm >/dev/null; then
    brew services start khd
    brew services start chunkwm
  fi
}

main "$@"
